# only python stuff
%define debug_package %{nil}

Name:           libopensync-plugin-moto
Epoch:          1
Version:        0.22
Release:        9%{?dist}
Summary:        Plugin for syncing with Motorola phones via libopensync

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel

Requires: libopensync-plugin-python = 1:0.22
Requires: python-dateutil
Requires: pybluez

%description
Plugin for syncing with Motorola phones via libopensync.

%prep
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT
install -p -m644 -D motosync.py \
    $RPM_BUILD_ROOT%{_libdir}/opensync/python-plugins/motosync.py
install -p -m644 -D moto-sync \
    $RPM_BUILD_ROOT%{_datadir}/opensync/defaults/moto-sync

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/opensync/python-plugins/motosync*
%{_datadir}/opensync/defaults/moto-sync

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1:0.22-4
- recompiling .py files against Python 2.7 (rhbz#623330)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 11 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-2
- drop libopensync BR

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-1
- downgrade (#474070)

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.36-2
- Rebuild for Python 2.6

* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-4
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-3
- use cmake macro

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-2
- BR libopensync-devel >= 0.35

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- initial version
